package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.Cost_sheet_upload;
import com.realnet.vpspack.Services.Cost_sheet_uploadService ;














@RequestMapping(value = "/Cost_sheet_upload")
 @CrossOrigin("*") 
@RestController
public class Cost_sheet_uploadController {
	@Autowired
	private Cost_sheet_uploadService Service;

@Value("${projectPath}")
	private String projectPath;
 














	@PostMapping("/Cost_sheet_upload")
		  public Cost_sheet_upload Savedata(@RequestBody Cost_sheet_upload data) {
		Cost_sheet_upload save = Service.Savedata(data)	;













		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Cost_sheet_upload/{id}")
	public  Cost_sheet_upload update(@RequestBody Cost_sheet_upload data,@PathVariable Integer id ) {
		Cost_sheet_upload update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Cost_sheet_upload/getall/page")
	public Page<Cost_sheet_upload> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Cost_sheet_upload> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Cost_sheet_upload")
	public List<Cost_sheet_upload> getdetails() {
		 List<Cost_sheet_upload> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Cost_sheet_upload")
	public List<Cost_sheet_upload> getallwioutsec() {
		 List<Cost_sheet_upload> get = Service.getdetails();		
		return get;
}
@GetMapping("/Cost_sheet_upload/{id}")
	public  Cost_sheet_upload  getdetailsbyId(@PathVariable Integer id ) {
		Cost_sheet_upload  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Cost_sheet_upload/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}















}